JBoss API: Class ServerVMClientUserTransaction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.client
Class ServerVMClientUserTransaction

    java.lang.Object
      |
      +--org.jboss.tm.usertx.client.ServerVMClientUserTransaction

All Implemented Interfaces:
  javax.transaction.UserTransaction

public class ServerVMClientUserTransaction
extends java.lang.Object
implements javax.transaction.UserTransaction

The client-side UserTransaction implementation for clients operating in the same VM as the server. This will delegate all UserTransaction calls to the `TransactionManager` of the server.

Version:
  $Revision: 1.1.2.1 $
Author:
  Ole Husgaard

Method Summary
`void` | `begin()`
`void` | `commit()`
`static ServerVMClientUserTransaction` | `getSingleton()` Return a reference to the singleton instance.
`int` | `getStatus()`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int seconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSingleton

    public static ServerVMClientUserTransaction getSingleton()

  Return a reference to the singleton instance.

### begin

    public void begin()
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Specified by:
    `begin` in interface `javax.transaction.UserTransaction`

### commit

    public void commit()
                throws javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Specified by:
    `commit` in interface `javax.transaction.UserTransaction`

### rollback

    public void rollback()
                  throws java.lang.SecurityException,
                         java.lang.IllegalStateException,
                         javax.transaction.SystemException

  Specified by:
    `rollback` in interface `javax.transaction.UserTransaction`

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.UserTransaction`

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Specified by:
    `getStatus` in interface `javax.transaction.UserTransaction`

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws javax.transaction.SystemException

  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.UserTransaction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.